# Properties

Manages property configuration for a venue.

 - [GET /venues/{venueId}/propertyConfigs](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/getproperty.md): Gets property configuration for the requested venue.
 - [PUT /venues/{venueId}/propertyConfigs](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/enableproperty.md): Allows the user to enable or disable property management configuration on the specified venue.
 - [PATCH /venues/{venueId}/propertyConfigs](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/enablepropertyselectively.md): Allows the user to selectively update property management configuration on the specified venue.
 - [PUT /venues/{venueId}/propertyConfigs/residentPortalAssignments/{residentPortalId}](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/assignresidentportal.md): Allows the user to assign resident portal for the specified venue.
 - [POST /venues/propertyConfigs/query](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/querypropertyconfigs.md): Gets the list of property configurations using the specified query.
 - [GET /venues/propertyConfigs](https://docs.ruckus.cloud/api/property-management-1.0.1/properties/getallpropertyconfigs.md): Gets the list of property configurations paged. This method will be removed no sooner than 08/31/2026. The following URL POST /venues/propertyConfigs/query can be used for this content.
